%{!?release_func:%global release_func() %1%{?dist}}
%{!?apply:%global  apply(p:n:b:) %patch%%{-n:%%{-n*}} %%{-p:-p %%{-p*}} %%{-b:-b %%{-b*}} \
%nil}

Summary:	A GIF to PNG converter
Name:		gif2png
Version:	2.5.2
Release:	%release_func 1305
License:	BSD
Group:		Applications/Multimedia
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%name-%version.tar.gz
Patch0:		gif2png-overflow.patch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	libpng-devel

%package -n web2png
Summary:	A GIF to PNG converter for entire directory hierarchies
Group:		Applications/Multimedia
Requires:	gif2png = %version-%release
Requires:	python
BuildArch:	noarch


%description
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

There exists a 'web2png' program in a separate package which is able
to convert entire directory hierarchies.


%description -n web2png
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

The distribution also includes a Python script, web2png, that will
convert entire web hierarchies (images and HTML or PHP pages).


%prep
%setup -q
%apply -n0 -p1


%build
%configure LDFLAGS="-Wl,--as-needed"
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%_bindir/gif2png
%_mandir/*/gif2png.*

%files -n web2png
%defattr(-,root,root,-)
%_bindir/web2png
%_mandir/*/web2png.*



%changelog
* Tue Jan  5 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1305
- catch another possible overflow when appending a numbered suffix
  (detected to Tomas Hoger)

* Sat Jan  2 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1304
- changed -overflow patch to abort on bad filenames instead of
  processing truncated ones

* Fri Jan  1 2010 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1302
- fixed command line buffer overflow (#547515, CVE-2009-XXXX)

* Sat Nov 14 2009 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.2-1300
- updated to 2.5.2
- removed Debian patches; issues are addressed by new upstream release
- set '-Wl,--as-needed' LDFLAGS

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  1 2009 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-6
- made web2png noarch

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.5.1-4
- Autorebuild for GCC 4.3

* Fri Sep 15 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-3
- added Debian patchset to make it build with current libpng

* Sat Feb 18 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-2
- rebuilt for FC5

* Tue Jul  5 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 2.5.1-1
- Initial build.
